### Method

# Malcontent SessionLimitsBuilder set_from_instance

since: 0.14.0

#### Declaration [src]

    void
    mct_session_limits_builder_set_from_instance (
      MctSessionLimitsBuilder* builder,
      MctSessionLimits* limits
    )

#### Description [src]

Set all the options in `builder` to copies of the options in `limits`.

Use this to set up a `builder` as a clone of `limits`, ready to have its options modified further.

Available since: 0.14.0

#### Parameters

`limits`

  Type: `MctSessionLimits`

  A `MctSessionLimits` to copy into the builder.

  The data is owned by the caller of the method.